h17554
s 00054/00000/00000
d D 1.1 83/03/23 16:19:55 bog 1 0
c date and time created 83/03/23 16:19:55 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		Integer Function EmPGet (I)				    #
#			Input	I:	Integer index into MenCod	    #
#			Output	EmIFet:	Integer value at MenCod(I),	    #
#					 MenCod(I+1)			    #
#		    Return as function value the Integer encoded in the	    #
#		    next two characters in MenCod.			    #
#									    #
#	Called By:							    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
INTEGER Function EmPGet(I)
INTEGER I
 
INTEGER Int
 
BEGINCOMMON
COMMON(MENUMACHINE)
ENDCOMMON
 
 
Int = MenCod(I)
 
If (Int < 0) {
  Int = Int+256
  }
 
EmPGet = Int*256
 
Int = MenCod(I+1)
 
If (Int < 0) {
  Int = Int+256
  }
 
EmPGet = EmPGet+Int
 
Return
End
E 1
